Bug 1766356 - Cluster with ovn-kubernetes network type is failing to bootstrap
Summary: Cluster with ovn-kubernetes network type is failing to bootstrap
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.3.0
Assignee: Casey Callendrello
QA Contact: Anurag saxena
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-28 20:12 UTC by ravig
Modified: 2020-01-23 11:10 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-23 11:09:46 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift machine-config-operator pull 1231 'None' closed Bug 1766356: templates: tell NetworkManager to ignore interfaces 2020-06-26 18:51:18 UTC
Red Hat Product Errata RHBA-2020:0062 None None None 2020-01-23 11:10:11 UTC

Description ravig 2019-10-28 20:12:57 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Everytime

Steps to Reproduce:
1. Create a OpenShift cluster with latest `openshift/ovn-kubernetes` branch
2. The cluster creation fails during bootstrap stage


Actual results:
Cluster creation fails with errors related to bootstrapping:


```
 level=fatal msg="Bootstrap failed to complete: failed to wait for bootstrapping to complete: timed out waiting for the condition"
2019/10/25 19:21:36 Container setup in pod e2e-wsu failed, exit code 1, reason Error
Another process exited
2019/10/25 19:21:47 Container test in pod e2e-wsu failed, exit code 1, reason Error
2019/10/25 19:46:31 Copied 10.13Mi of artifacts from e2e-wsu to /logs/artifacts/e2e-wsu
2019/10/25 19:46:41 Ran for 1h9m45s
E1025 19:11:58.984147      26 reflector.go:280] k8s.io/client-go/tools/watch/informerwatcher.go:146: Failed to watch *v1.ConfigMap: Get https://api.ci-op-bnjkgc31-75cd4.origin-ci-int-aws.dev.rhcloud.com:6443/api/v1/namespaces/kube-system/configmaps?allowWatchBookmarks=true&fieldSelector=metadata.name%3Dbootstrap&resourceVersion=4584&timeoutSeconds=516&watch=true: dial tcp 3.232.186.121:6443: connect: connection refused
level=info msg="Cluster operator network Progressing is True with Deploying: DaemonSet \"openshift-multus/multus-admission-controller\" is not available (awaiting 3 nodes)"
level=info msg="Cluster operator network Available is False with Startup: The network is starting up"
level=info msg="Pulling debug logs from the bootstrap machine" 
```

Other PRs having the same issue:

https://storage.googleapis.com/origin-ci-test/pr-logs/pull/openshift_windows-machine-config-operator/64/pull-ci-openshift-windows-machine-config-operator-master-test-e2e-tools/142/artifacts/test-e2e-tools/pods/openshift-network-operator_network-operator-747d46fd65-g5vb7_network-operator.log


https://prow.svc.ci.openshift.org/view/gcs/origin-ci-test/pr-logs/pull/openshift_windows-machine-config-operator/66/pull-ci-openshift-windows-machine-config-operator-master-e2e-wsu/22

https://github.com/openshift/windows-machine-config-operator/pull/68

https://github.com/openshift/windows-machine-config-operator/pull/67

https://github.com/openshift/windows-machine-config-operator/pull/65

https://github.com/openshift/windows-machine-config-operator/pull/66



Expected results:
 Cluster should come up


Additional info:
The 4.2 branch is working fine. It's just the master that is broken

Comment 1 Casey Callendrello 2019-10-29 10:38:05 UTC
Interesting.

On which cloud provider is this happening?

Comment 2 ravig 2019-10-29 11:47:20 UTC
We’ve seen this happening on aws

Comment 3 Casey Callendrello 2019-10-29 13:42:27 UTC
We'd like to get HA merged before we look in to this. Should be a few days.

Comment 5 Casey Callendrello 2019-10-29 17:38:26 UTC
filed a no-op CI pr - https://github.com/openshift/cluster-network-operator/pull/368 - something is really wrong.

Manually running the installer now.

Comment 6 Casey Callendrello 2019-10-30 09:40:25 UTC
Dan worked around this in https://github.com/openshift/ovn-kubernetes/pull/41. We'll find a real fix once we can catch our breath.

Comment 7 Dan Williams 2019-10-30 15:33:25 UTC
Appears to be a NetworkManager issue (first one ever!). Not sure why we dont' see it with openshift-sdn.

Simple script can reproduce it. thaller says maybe we have the openvswitch plugin installed now but didn't before.

Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.3585] platform-linux: event-notification: RTM_NEWQDISC, flags 0, seq 137: mq dev 2 family 0 handle 0 parent ffffffff info 1
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.3610] platform-linux: event-notification: RTM_NEWLINK, flags 0, seq 0: 24: foobar3 <DOWN;broadcast,multicast> mtu 1500 arp 1 openvswitch* not-init addrgenmode eui64 addr AE:AE:50:53:DF:24 brd FF:FF:FF:FF:FF:FF rx:0,0 tx:0,0
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3611] platform: (foobar3) signal: link   added: 24: foobar3 <DOWN;broadcast,multicast> mtu 1500 arp 1 openvswitch* not-init addrgenmode eui64 addr AE:AE:50:53:DF:24 brd FF:FF:FF:FF:FF:FF driver openvswitch rx:0,0 tx:0,0
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3612] device[0x557a706b44e0] (foobar3): constructed (NMDeviceOvsInterface)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3613] device[0x557a706b44e0] (foobar3): start setup of NMDeviceOvsInterface, kernel ifindex 24
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3657] platform-linux: error reading net:/sys/class/net/foobar3/phys_port_id: error reading 4096 bytes from file descriptor: Operation not supported
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3661] platform-linux: sysctl: reading 'net:/sys/class/net/foobar3/dev_id': '0x0'
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.3668] ethtool[24]: ETHTOOL_GDRVINFO, foobar3: success
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3670] platform-linux: error reading net:/sys/class/net/foobar3/device/sriov_totalvfs: Failed to open file "device/sriov_totalvfs" with openat: No such file or directory
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3670] device[0x557a706b44e0] (foobar3): hw-addr: hardware address now AE:AE:50:53:DF:24
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3670] device[0x557a706b44e0] (foobar3): hw-addr: update initial MAC address AE:AE:50:53:DF:24
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3671] device[0x557a706b44e0] (foobar3): unmanaged: flags set to [platform-init,!by-type=0x10/0x18/unmanaged/unrealized], set-managed [by-type=0x8])
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3687] device[0x557a706b44e0] (foobar3): unmanaged: flags set to [platform-init,!sleeping,!by-type=0x10/0x19/unmanaged/unrealized], set-managed [sleeping=0x1])
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.3688] dbus-object[00890cec58ec6cfe]: export: "/org/freedesktop/NetworkManager/Devices/23"
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <info>  [1572448774.3696] manager: (foobar3): new Open vSwitch Interface device (/org/freedesktop/NetworkManager/Devices/23)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.3713] platform-linux: event-notification: RTM_NEWLINK, flags 0, seq 0: 24: foobar3 <DOWN;broadcast,multicast> mtu 1500 arp 1 openvswitch* not-init addrgenmode eui64 addr AE:AE:50:53:DF:24 brd FF:FF:FF:FF:FF:FF rx:0,0 tx:0,0
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.3715] platform-linux: event-notification: RTM_NEWLINK, flags 0, seq 0: 24: foobar3 <DOWN;broadcast,multicast> mtu 1500 arp 1 openvswitch* not-init addrgenmode eui64 addr 1A:14:F4:E9:46:40 brd FF:FF:FF:FF:FF:FF rx:0,0 tx:0,0
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3717] platform: (foobar3) signal: link changed: 24: foobar3 <DOWN;broadcast,multicast> mtu 1500 arp 1 openvswitch* not-init addrgenmode eui64 addr 1A:14:F4:E9:46:40 brd FF:FF:FF:FF:FF:FF driver openvswitch rx:0,0 tx:0,0
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3719] device[0x557a706b44e0] (foobar3): queued link change for ifindex 24
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3724] device[0x557a706b44e0] (foobar3): hw-addr: hardware address now 1A:14:F4:E9:46:40
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3726] device[0x557a706b44e0] (foobar3): hw-addr: update initial MAC address 1A:14:F4:E9:46:40
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3783] platform-linux: UDEV event: action 'add' subsys 'net' device 'foobar3' (24); seqnum=3337
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.3785] platform-linux: udev-add[foobar3,24]: device added
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3789] platform: (foobar3) signal: link changed: 24: foobar3 <DOWN;broadcast,multicast> mtu 1500 arp 1 openvswitch* init addrgenmode eui64 addr 1A:14:F4:E9:46:40 brd FF:FF:FF:FF:FF:FF driver openvswitch rx:0,0 tx:0,0
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3791] device[0x557a706b44e0] (foobar3): queued link change for ifindex 24
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.3800] platform-linux: event-notification: RTM_NEWLINK, flags 0, seq 0: 24: foobar3 <UP,LOWER_UP;broadcast,multicast,up,running,lowerup> mtu 1500 arp 1 openvswitch* not-init addrgenmode eui64 addr 1A:14:F4:E9:46:40 brd FF:FF:FF:FF:FF:FF rx:0,0 tx:0,0
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3803] platform: (foobar3) signal: link changed: 24: foobar3 <UP,LOWER_UP;broadcast,multicast,up,running,lowerup> mtu 1500 arp 1 openvswitch* init addrgenmode eui64 addr 1A:14:F4:E9:46:40 brd FF:FF:FF:FF:FF:FF driver openvswitch rx:0,0 tx:0,0
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.3805] platform-linux: event-notification: RTM_NEWROUTE, flags create, seq 0: table 255 ff00::/8 via :: dev 24 metric 256 mss 0 rt-src rt-boot
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3805] platform: (foobar3) signal: route   6   added: table 255 ff00::/8 via :: dev 24 metric 256 mss 0 rt-src rt-boot
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.3808] platform-linux: event-notification: RTM_NEWROUTE, flags create, seq 0: fe80::/64 via :: dev 24 metric 256 mss 0 rt-src rt-kernel
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3809] platform: (foobar3) signal: route   6   added: fe80::/64 via :: dev 24 metric 256 mss 0 rt-src rt-kernel
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.3821] ethtool[24]: ETHTOOL_GPERMADDR, foobar3: success
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3824] device[0x557a706b44e0] (foobar3): hw-addr: unable to read permanent MAC address (use current: 1A:14:F4:E9:46:40)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <info>  [1572448774.3824] device (foobar3): carrier: link connected
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3832] device[0x557a706b44e0] (foobar3): unmanaged: flags set to [platform-init,!sleeping,!by-type,!user-settings=0x10/0x59/unmanaged], set-managed [user-settings=0x40])
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3832] device[0x557a706b44e0] (foobar3): unmanaged: flags set to [!sleeping,!by-type,!platform-init,!user-settings=0x0/0x59/managed], set-managed [platform-init=0x10], reason managed, transition-state)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <info>  [1572448774.3833] device (foobar3): state change: unmanaged -> unavailable (reason 'managed', sys-iface-state: 'external')
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.3838] device[0x557a706b44e0] (foobar3): sys-iface-state: external -> managed
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3850] platform-linux: sysctl: reading '/proc/sys/net/ipv6/conf/foobar3/accept_ra': '1'
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3853] platform-linux: sysctl: reading '/proc/sys/net/ipv6/conf/foobar3/accept_ra_defrtr': '1'
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3854] platform-linux: sysctl: reading '/proc/sys/net/ipv6/conf/foobar3/accept_ra_pinfo': '1'
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3854] platform-linux: sysctl: reading '/proc/sys/net/ipv6/conf/foobar3/accept_ra_rtr_pref': '1'
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3855] platform-linux: sysctl: reading '/proc/sys/net/ipv6/conf/foobar3/forwarding': '0'
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3861] platform-linux: sysctl: reading '/proc/sys/net/ipv6/conf/foobar3/disable_ipv6': '0'
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3863] platform-linux: sysctl: reading '/proc/sys/net/ipv6/conf/foobar3/hop_limit': '64'
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3863] platform-linux: sysctl: reading '/proc/sys/net/ipv6/conf/foobar3/use_tempaddr': '0'
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3864] device[0x557a706b44e0] (foobar3): will enable userland IPv6LL
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3864] platform-linux: link: change 24: user-ipv6ll: set IPv6 address generation mode to none
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3864] platform-linux: do-request-link: 24 
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.3865] platform-linux: event-notification: RTM_NEWQDISC, flags 0, seq 139: mq dev 2 family 0 handle 0 parent ffffffff info 1
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.3865] platform-linux: event-notification: RTM_NEWLINK, flags 0, seq 0: 24: foobar3 <UP,LOWER_UP;broadcast,multicast,up,running,lowerup> mtu 1500 arp 1 openvswitch* not-init addrgenmode none addr 1A:14:F4:E9:46:40 brd FF:FF:FF:FF:FF:FF rx:0,0 tx:1,90
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3865] platform: (foobar3) signal: link changed: 24: foobar3 <UP,LOWER_UP;broadcast,multicast,up,running,lowerup> mtu 1500 arp 1 openvswitch* init addrgenmode none addr 1A:14:F4:E9:46:40 brd FF:FF:FF:FF:FF:FF driver openvswitch rx:0,0 tx:1,90
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3866] device[0x557a706b44e0] (foobar3): queued link change for ifindex 24
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.3866] platform-linux: event-notification: RTM_NEWLINK, flags 0, seq 1351: 24: foobar3 <UP,LOWER_UP;broadcast,multicast,up,running,lowerup> mtu 1500 arp 1 openvswitch* not-init addrgenmode none addr 1A:14:F4:E9:46:40 brd FF:FF:FF:FF:FF:FF rx:0,0 tx:1,90
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3866] platform-linux: do-change-link[24]: success changing link: success
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3881] platform-linux: sysctl: setting '/proc/sys/net/ipv6/conf/foobar3/disable_ipv6' to '1' (current value is '0')
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3894] platform-linux: sysctl: setting '/proc/sys/net/ipv6/conf/foobar3/disable_ipv6' to '0' (current value is '1')
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3895] platform-linux: sysctl: setting '/proc/sys/net/ipv6/conf/foobar3/accept_ra_defrtr' to '0' (current value is '1')
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3896] platform-linux: sysctl: setting '/proc/sys/net/ipv6/conf/foobar3/accept_ra_pinfo' to '0' (current value is '1')
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3896] platform-linux: sysctl: setting '/proc/sys/net/ipv6/conf/foobar3/accept_ra_rtr_pref' to '0' (current value is '1')
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3897] platform-linux: sysctl: setting '/proc/sys/net/ipv6/conf/foobar3/use_tempaddr' to '0' (current value is identical)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3897] platform-linux: sysctl: setting '/proc/sys/net/ipv6/conf/foobar3/forwarding' to '0' (current value is identical)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3898] device[0x557a706b44e0] (foobar3): bringing up device 24
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3898] platform: (foobar3) link: setting up
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3898] platform-linux: link: change 24: flags: set 0x1/0x1 ([up] / [up])
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3898] platform-linux: do-request-link: 24 
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.3898] platform-linux: event-notification: RTM_DELROUTE, flags 0, seq 0: fe80::/64 via :: dev 24 metric 256 mss 0 rt-src rt-kernel
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3899] platform: (foobar3) signal: route   6 removed: fe80::/64 via :: dev 24 metric 256 mss 0 rt-src rt-kernel
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.3899] platform-linux: event-notification: RTM_DELROUTE, flags 0, seq 0: table 255 ff00::/8 via :: dev 24 metric 256 mss 0 rt-src rt-boot
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3899] platform: (foobar3) signal: route   6 removed: table 255 ff00::/8 via :: dev 24 metric 256 mss 0 rt-src rt-boot
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.3900] platform-linux: event-notification: RTM_DELADDR, flags 0, seq 0: 24: fe80::1814:f4ff:fee9:4640
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.3900] platform-linux: event-notification: RTM_NEWROUTE, flags create, seq 0: table 255 ff00::/8 via :: dev 24 metric 256 mss 0 rt-src rt-boot
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3900] platform: (foobar3) signal: route   6   added: table 255 ff00::/8 via :: dev 24 metric 256 mss 0 rt-src rt-boot
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.3901] platform-linux: event-notification: RTM_NEWLINK, flags 0, seq 1353: 24: foobar3 <UP,LOWER_UP;broadcast,multicast,up,running,lowerup> mtu 1500 arp 1 openvswitch* not-init addrgenmode none addr 1A:14:F4:E9:46:40 brd FF:FF:FF:FF:FF:FF rx:0,0 tx:1,90
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3901] platform-linux: do-change-link[24]: success changing link: success
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3902] device[0x557a706b44e0] (foobar3): preparing device
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3902] device[0x557a706b44e0] (foobar3): clearing queued IP4 config change
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3902] device[0x557a706b44e0] (foobar3): clearing queued IP6 config change
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.3902] device[0x557a706b44e0] (foobar3): remove_pending_action (0): 'dhcp6' not pending (expected)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.3902] device[0x557a706b44e0] (foobar3): remove_pending_action (0): 'autoconf6' not pending (expected)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3903] platform-linux: sysctl: setting '/proc/sys/net/ipv6/conf/foobar3/accept_ra' to '0' (current value is '1')
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3903] platform-linux: sysctl: setting '/proc/sys/net/ipv6/conf/foobar3/use_tempaddr' to '0' (current value is identical)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3903] platform: (foobar3) ip6-route: delete table 255 ff00::/8 via :: dev 24 metric 256 mss 0 rt-src rt-boot
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.3904] platform-linux: event-notification: RTM_DELROUTE, flags 0, seq 1354: table 255 ff00::/8 via :: dev 24 metric 256 mss 0 rt-src rt-boot
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3904] platform: (foobar3) signal: route   6 removed: table 255 ff00::/8 via :: dev 24 metric 256 mss 0 rt-src rt-boot
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3905] device[0x557a706b44e0] (foobar3): queued IP6 config change
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3905] platform-linux: do-delete-ip6-route[table 255 ff00::/8 via :: dev 24 metric 256 mss 0 rt-src rt-boot]: success
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3905] rules-manager: sync
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3905] device[0x557a706b44e0] (foobar3): ip4-config: update (commit=1, new-config=(nil))
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3905] device[0x557a706b44e0] (foobar3): ip6-config: update (commit=1, new-config=(nil))
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3910] device[0x557a706b44e0] (foobar3): add_pending_action (1): 'recheck-available'
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3915] device[0x557a706b44e0] (foobar3): connectivity state changed from UNKNOWN to NONE
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3916] device[0x557a706b44e0] (foobar3): connectivity state changed from UNKNOWN to NONE
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.3939] manager: default-route-metric: ifindex 24 reserves metric 803 (aspired 800)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.3939] device[0x557a706b44e0] (foobar3): ipv4.route-table = 254 (policy routing not enabled)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3940] device[0x557a706b44e0] (foobar3): ip4-config: update (commit=1, new-config=0x557a70614760)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.3940] dbus-object[0dbc8dfee7c62770]: export: "/org/freedesktop/NetworkManager/IP4Config/17"
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3941] device[0x557a706b44e0] (foobar3): ip4-config: set IP Config instance (/org/freedesktop/NetworkManager/IP4Config/17)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3943] dns-mgr: (device_ip_config_changed): queueing DNS updates (1)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3943] dns-mgr: (device_ip_config_changed): DNS configuration did not change
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3943] dns-mgr: (device_ip_config_changed): no DNS changes to commit (0)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.3944] device[0x557a706b44e0] (foobar3): ipv6.route-table = 254 (policy routing not enabled)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3944] device[0x557a706b44e0] (foobar3): ip6-config: update (commit=1, new-config=0x557a70641680)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.3945] dbus-object[801fd966ff5361b3]: export: "/org/freedesktop/NetworkManager/IP6Config/76"
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3946] device[0x557a706b44e0] (foobar3): ip6-config: set IP Config instance (/org/freedesktop/NetworkManager/IP6Config/76)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3948] dns-mgr: (device_ip_config_changed): queueing DNS updates (1)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3948] dns-mgr: (device_ip_config_changed): DNS configuration did not change
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3948] dns-mgr: (device_ip_config_changed): no DNS changes to commit (0)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3950] device[0x557a706b44e0] (foobar3): ip6-config: update (commit=0, new-config=0x557a70641ce0)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3950] device[0x557a706b44e0] (foobar3): add_pending_action (2): 'queued-state-change-disconnected'
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3951] device[0x557a706b44e0] (foobar3): queue-state[disconnected, reason:none, id:2405]: queue state change
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3951] device[0x557a706b44e0] (foobar3): is available, will transition to disconnected
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3951] device[0x557a706b44e0] (foobar3): remove_pending_action (1): 'recheck-available'
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3951] device[0x557a706b44e0] (foobar3): queue-state[disconnected, reason:none, id:2405]: change state
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <info>  [1572448774.3951] device (foobar3): state change: unavailable -> disconnected (reason 'none', sys-iface-state: 'managed')
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3951] device[0x557a706b44e0] (foobar3): will enable userland IPv6LL
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3952] platform-linux: link: change 24: user-ipv6ll: set IPv6 address generation mode to none
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3952] platform-linux: do-request-link: 24 
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.3952] platform-linux: event-notification: RTM_NEWLINK, flags 0, seq 0: 24: foobar3 <UP,LOWER_UP;broadcast,multicast,up,running,lowerup> mtu 1500 arp 1 openvswitch* not-init addrgenmode none addr 1A:14:F4:E9:46:40 brd FF:FF:FF:FF:FF:FF rx:0,0 tx:1,90
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.3953] platform-linux: event-notification: RTM_NEWLINK, flags 0, seq 1356: 24: foobar3 <UP,LOWER_UP;broadcast,multicast,up,running,lowerup> mtu 1500 arp 1 openvswitch* not-init addrgenmode none addr 1A:14:F4:E9:46:40 brd FF:FF:FF:FF:FF:FF rx:0,0 tx:1,90
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3953] platform-linux: do-change-link[24]: success changing link: success
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3954] platform-linux: sysctl: setting '/proc/sys/net/ipv6/conf/foobar3/disable_ipv6' to '1' (current value is '0')
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3954] platform-linux: sysctl: setting '/proc/sys/net/ipv6/conf/foobar3/disable_ipv6' to '0' (current value is '1')
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3955] platform-linux: sysctl: setting '/proc/sys/net/ipv6/conf/foobar3/accept_ra_defrtr' to '0' (current value is identical)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3956] platform-linux: sysctl: setting '/proc/sys/net/ipv6/conf/foobar3/accept_ra_pinfo' to '0' (current value is identical)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3956] platform-linux: sysctl: setting '/proc/sys/net/ipv6/conf/foobar3/accept_ra_rtr_pref' to '0' (current value is identical)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3956] platform-linux: sysctl: setting '/proc/sys/net/ipv6/conf/foobar3/use_tempaddr' to '0' (current value is identical)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3957] platform-linux: sysctl: setting '/proc/sys/net/ipv6/conf/foobar3/forwarding' to '0' (current value is identical)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.3961] config: device-state: write #24 (/run/NetworkManager/devices/24); managed=managed, perm-hw-addr-fake=1A:14:F4:E9:46:40, route-metric-default=800-803
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3962] device[0x557a706b44e0] (foobar3): add_pending_action (2): 'autoactivate'
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3962] device[0x557a706b44e0] (foobar3): remove_pending_action (1): 'queued-state-change-disconnected'
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.3963] platform-linux: event-notification: RTM_NEWROUTE, flags create, seq 0: table 255 ff00::/8 via :: dev 24 metric 256 mss 0 rt-src rt-boot
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3963] platform: (foobar3) signal: route   6   added: table 255 ff00::/8 via :: dev 24 metric 256 mss 0 rt-src rt-boot
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3963] device[0x557a706b44e0] (foobar3): queued IP6 config change
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3964] device[0x557a706b44e0] (foobar3): remove_pending_action (0): 'autoactivate'
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3965] device[0x557a706b44e0] (foobar3): ip6-config: update (commit=0, new-config=0x557a70641ac0)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3967] device[0x557a706b44e0] (foobar3): ip6-config: update IP Config instance (/org/freedesktop/NetworkManager/IP6Config/76)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3967] dns-mgr: (device_ip_config_changed): queueing DNS updates (1)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3968] dns-mgr: (device_ip_config_changed): DNS configuration did not change
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.3968] dns-mgr: (device_ip_config_changed): no DNS changes to commit (0)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4102] platform-linux: event-notification: RTM_NEWLINK, flags 0, seq 0: 25: blah3 <DOWN;broadcast,multicast> mtu 1500 arp 1 openvswitch* not-init addrgenmode eui64 addr 4E:29:FF:FE:4F:AB brd FF:FF:FF:FF:FF:FF rx:0,0 tx:0,0
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4102] platform: (blah3) signal: link   added: 25: blah3 <DOWN;broadcast,multicast> mtu 1500 arp 1 openvswitch* not-init addrgenmode eui64 addr 4E:29:FF:FE:4F:AB brd FF:FF:FF:FF:FF:FF driver openvswitch rx:0,0 tx:0,0
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4103] device[0x557a706a6c50] (blah3): constructed (NMDeviceOvsInterface)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4103] device[0x557a706a6c50] (blah3): start setup of NMDeviceOvsInterface, kernel ifindex 25
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4139] platform-linux: error reading net:/sys/class/net/blah3/phys_port_id: error reading 4096 bytes from file descriptor: Operation not supported
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4139] platform-linux: sysctl: reading 'net:/sys/class/net/blah3/dev_id': '0x0'
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4140] ethtool[25]: ETHTOOL_GDRVINFO, blah3: success
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4141] platform-linux: error reading net:/sys/class/net/blah3/device/sriov_totalvfs: Failed to open file "device/sriov_totalvfs" with openat: No such file or directory
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4141] device[0x557a706a6c50] (blah3): hw-addr: hardware address now 4E:29:FF:FE:4F:AB
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4141] device[0x557a706a6c50] (blah3): hw-addr: update initial MAC address 4E:29:FF:FE:4F:AB
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4141] device[0x557a706a6c50] (blah3): unmanaged: flags set to [platform-init,!by-type=0x10/0x18/unmanaged/unrealized], set-managed [by-type=0x8])
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4142] device[0x557a706a6c50] (blah3): unmanaged: flags set to [platform-init,!sleeping,!by-type=0x10/0x19/unmanaged/unrealized], set-managed [sleeping=0x1])
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4142] dbus-object[a4e65f2e0a32cfcb]: export: "/org/freedesktop/NetworkManager/Devices/24"
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <info>  [1572448774.4162] manager: (blah3): new Open vSwitch Interface device (/org/freedesktop/NetworkManager/Devices/24)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4185] platform-linux: event-notification: RTM_NEWLINK, flags 0, seq 0: 25: blah3 <DOWN;broadcast,multicast> mtu 1500 arp 1 openvswitch* not-init addrgenmode eui64 addr 4E:29:FF:FE:4F:AB brd FF:FF:FF:FF:FF:FF rx:0,0 tx:0,0
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4185] platform-linux: event-notification: RTM_NEWQDISC, flags 0, seq 141: mq dev 2 family 0 handle 0 parent ffffffff info 1
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4199] platform-linux: event-notification: RTM_NEWLINK, flags 0, seq 0: 25: blah3 <UP,LOWER_UP;broadcast,multicast,up,running,lowerup> mtu 1500 arp 1 openvswitch* not-init addrgenmode eui64 addr 4E:29:FF:FE:4F:AB brd FF:FF:FF:FF:FF:FF rx:0,0 tx:0,0
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4200] platform: (blah3) signal: link changed: 25: blah3 <UP,LOWER_UP;broadcast,multicast,up,running,lowerup> mtu 1500 arp 1 openvswitch* not-init addrgenmode eui64 addr 4E:29:FF:FE:4F:AB brd FF:FF:FF:FF:FF:FF driver openvswitch rx:0,0 tx:0,0
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4200] device[0x557a706a6c50] (blah3): queued link change for ifindex 25
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4201] platform-linux: event-notification: RTM_NEWROUTE, flags create, seq 0: table 255 ff00::/8 via :: dev 25 metric 256 mss 0 rt-src rt-boot
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4201] platform: (blah3) signal: route   6   added: table 255 ff00::/8 via :: dev 25 metric 256 mss 0 rt-src rt-boot
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4201] platform-linux: event-notification: RTM_NEWROUTE, flags create, seq 0: fe80::/64 via :: dev 25 metric 256 mss 0 rt-src rt-kernel
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4202] platform: (blah3) signal: route   6   added: fe80::/64 via :: dev 25 metric 256 mss 0 rt-src rt-kernel
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <info>  [1572448774.4206] device (blah3): carrier: link connected
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4206] device[0x557a706a6c50] (blah3): ip4-config: update (commit=0, new-config=0x557a706149c0)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4206] dbus-object[0c7402fd8522733d]: export: "/org/freedesktop/NetworkManager/IP4Config/18"
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4209] device[0x557a706a6c50] (blah3): ip4-config: set IP Config instance (/org/freedesktop/NetworkManager/IP4Config/18)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4214] dns-mgr: (device_ip_config_changed): queueing DNS updates (1)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4214] dns-mgr: (device_ip_config_changed): DNS configuration did not change
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4214] dns-mgr: (device_ip_config_changed): no DNS changes to commit (0)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4214] device[0x557a706a6c50] (blah3): ip6-config: update (commit=0, new-config=0x557a70641ce0)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4214] dbus-object[3a3e2dcb25f99d99]: export: "/org/freedesktop/NetworkManager/IP6Config/77"
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4218] device[0x557a706a6c50] (blah3): ip6-config: set IP Config instance (/org/freedesktop/NetworkManager/IP6Config/77)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4222] dns-mgr: (device_ip_config_changed): queueing DNS updates (1)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4223] dns-mgr: (device_ip_config_changed): DNS configuration did not change
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4223] dns-mgr: (device_ip_config_changed): no DNS changes to commit (0)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4333] platform-linux: UDEV event: action 'add' subsys 'net' device 'blah3' (25); seqnum=3340
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4334] platform-linux: udev-add[blah3,25]: device added
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4337] platform: (blah3) signal: link changed: 25: blah3 <UP,LOWER_UP;broadcast,multicast,up,running,lowerup> mtu 1500 arp 1 openvswitch* init addrgenmode eui64 addr 4E:29:FF:FE:4F:AB brd FF:FF:FF:FF:FF:FF driver openvswitch rx:0,0 tx:0,0
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4340] device[0x557a706a6c50] (blah3): queued link change for ifindex 25
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4340] platform-linux: event-notification: RTM_NEWADDR, flags 0, seq 1572448775: 1.2.3.5/24 lft forever pref forever lifetime 905-0[4294967295,4294967295] dev 25 flags permanent src kernel
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4341] platform: (blah3) signal: address 4   added: 1.2.3.5/24 lft forever pref forever lifetime 905-0[4294967295,4294967295] dev 25 flags permanent src kernel
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4343] platform-linux: event-notification: RTM_NEWROUTE, flags excl,create, seq 0: ignore
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4344] platform-linux: event-notification: RTM_NEWROUTE, flags create,append, seq 0: 1.2.3.0/24 via 0.0.0.0 dev 25 metric 0 mss 0 rt-src rt-kernel scope link pref-src 1.2.3.5
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4344] platform: (blah3) signal: route   4   added: 1.2.3.0/24 via 0.0.0.0 dev 25 metric 0 mss 0 rt-src rt-kernel scope link pref-src 1.2.3.5
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4344] platform-linux: event-notification: RTM_NEWROUTE, flags create,append, seq 0: ignore
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4347] platform-linux: event-notification: RTM_NEWROUTE, flags create,append, seq 0: ignore
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4356] ethtool[25]: ETHTOOL_GPERMADDR, blah3: success
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4357] device[0x557a706a6c50] (blah3): hw-addr: unable to read permanent MAC address (use current: 4E:29:FF:FE:4F:AB)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4360] device[0x557a706a6c50] (blah3): unmanaged: flags set to [platform-init,!sleeping,!by-type,!user-settings=0x10/0x59/unmanaged], set-managed [user-settings=0x40])
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4360] device[0x557a706a6c50] (blah3): unmanaged: flags set to [!sleeping,!by-type,!platform-init,!user-settings=0x0/0x59/managed], set-managed [platform-init=0x10], reason managed, transition-state)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <info>  [1572448774.4360] device (blah3): state change: unmanaged -> unavailable (reason 'managed', sys-iface-state: 'external')
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4360] device[0x557a706a6c50] (blah3): sys-iface-state: external -> managed
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4363] platform-linux: sysctl: reading '/proc/sys/net/ipv6/conf/blah3/accept_ra': '1'
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4363] platform-linux: sysctl: reading '/proc/sys/net/ipv6/conf/blah3/accept_ra_defrtr': '1'
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4364] platform-linux: sysctl: reading '/proc/sys/net/ipv6/conf/blah3/accept_ra_pinfo': '1'
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4366] platform-linux: sysctl: reading '/proc/sys/net/ipv6/conf/blah3/accept_ra_rtr_pref': '1'
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4367] platform-linux: sysctl: reading '/proc/sys/net/ipv6/conf/blah3/forwarding': '0'
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4367] platform-linux: sysctl: reading '/proc/sys/net/ipv6/conf/blah3/disable_ipv6': '0'
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4371] platform-linux: sysctl: reading '/proc/sys/net/ipv6/conf/blah3/hop_limit': '64'
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4371] platform-linux: sysctl: reading '/proc/sys/net/ipv6/conf/blah3/use_tempaddr': '0'
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4371] device[0x557a706a6c50] (blah3): will enable userland IPv6LL
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4372] platform-linux: link: change 25: user-ipv6ll: set IPv6 address generation mode to none
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4374] platform-linux: do-request-link: 25 
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4375] platform-linux: event-notification: RTM_NEWLINK, flags 0, seq 0: 25: blah3 <UP,LOWER_UP;broadcast,multicast,up,running,lowerup> mtu 1500 arp 1 openvswitch* not-init addrgenmode none addr 4E:29:FF:FE:4F:AB brd FF:FF:FF:FF:FF:FF rx:0,0 tx:1,90
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4375] platform: (blah3) signal: link changed: 25: blah3 <UP,LOWER_UP;broadcast,multicast,up,running,lowerup> mtu 1500 arp 1 openvswitch* init addrgenmode none addr 4E:29:FF:FE:4F:AB brd FF:FF:FF:FF:FF:FF driver openvswitch rx:0,0 tx:1,90
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4377] device[0x557a706a6c50] (blah3): queued link change for ifindex 25
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4378] platform-linux: event-notification: RTM_NEWLINK, flags 0, seq 1358: 25: blah3 <UP,LOWER_UP;broadcast,multicast,up,running,lowerup> mtu 1500 arp 1 openvswitch* not-init addrgenmode none addr 4E:29:FF:FE:4F:AB brd FF:FF:FF:FF:FF:FF rx:0,0 tx:1,90
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4378] platform-linux: do-change-link[25]: success changing link: success
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4381] platform-linux: sysctl: setting '/proc/sys/net/ipv6/conf/blah3/disable_ipv6' to '1' (current value is '0')
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4431] platform-linux: sysctl: setting '/proc/sys/net/ipv6/conf/blah3/disable_ipv6' to '0' (current value is '1')
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4432] platform-linux: sysctl: setting '/proc/sys/net/ipv6/conf/blah3/accept_ra_defrtr' to '0' (current value is '1')
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4432] platform-linux: sysctl: setting '/proc/sys/net/ipv6/conf/blah3/accept_ra_pinfo' to '0' (current value is '1')
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4433] platform-linux: sysctl: setting '/proc/sys/net/ipv6/conf/blah3/accept_ra_rtr_pref' to '0' (current value is '1')
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4433] platform-linux: sysctl: setting '/proc/sys/net/ipv6/conf/blah3/use_tempaddr' to '0' (current value is identical)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4434] platform-linux: sysctl: setting '/proc/sys/net/ipv6/conf/blah3/forwarding' to '0' (current value is identical)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4434] device[0x557a706a6c50] (blah3): bringing up device 25
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4434] platform: (blah3) link: setting up
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4434] platform-linux: link: change 25: flags: set 0x1/0x1 ([up] / [up])
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4434] platform-linux: do-request-link: 25 
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4435] platform-linux: event-notification: RTM_DELROUTE, flags 0, seq 0: fe80::/64 via :: dev 25 metric 256 mss 0 rt-src rt-kernel
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4435] platform: (blah3) signal: route   6 removed: fe80::/64 via :: dev 25 metric 256 mss 0 rt-src rt-kernel
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4435] platform-linux: event-notification: RTM_DELROUTE, flags 0, seq 0: table 255 ff00::/8 via :: dev 25 metric 256 mss 0 rt-src rt-boot
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4436] platform: (blah3) signal: route   6 removed: table 255 ff00::/8 via :: dev 25 metric 256 mss 0 rt-src rt-boot
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4436] platform-linux: event-notification: RTM_DELADDR, flags 0, seq 0: 25: fe80::4c29:ffff:fefe:4fab
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4436] platform-linux: event-notification: RTM_NEWROUTE, flags create, seq 0: table 255 ff00::/8 via :: dev 25 metric 256 mss 0 rt-src rt-boot
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4436] platform: (blah3) signal: route   6   added: table 255 ff00::/8 via :: dev 25 metric 256 mss 0 rt-src rt-boot
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4437] platform-linux: event-notification: RTM_NEWLINK, flags 0, seq 1360: 25: blah3 <UP,LOWER_UP;broadcast,multicast,up,running,lowerup> mtu 1500 arp 1 openvswitch* not-init addrgenmode none addr 4E:29:FF:FE:4F:AB brd FF:FF:FF:FF:FF:FF rx:0,0 tx:1,90
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4438] platform-linux: do-change-link[25]: success changing link: success
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4438] device[0x557a706a6c50] (blah3): preparing device
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4438] device[0x557a706a6c50] (blah3): clearing queued IP4 config change
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4438] device[0x557a706a6c50] (blah3): clearing queued IP6 config change
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4438] device[0x557a706a6c50] (blah3): remove_pending_action (0): 'dhcp6' not pending (expected)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4438] device[0x557a706a6c50] (blah3): remove_pending_action (0): 'autoconf6' not pending (expected)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4439] platform-linux: sysctl: setting '/proc/sys/net/ipv6/conf/blah3/accept_ra' to '0' (current value is '1')
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4439] platform-linux: sysctl: setting '/proc/sys/net/ipv6/conf/blah3/use_tempaddr' to '0' (current value is identical)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4440] platform: (blah3) ip4-route: delete 1.2.3.0/24 via 0.0.0.0 dev 25 metric 0 mss 0 rt-src rt-kernel scope link pref-src 1.2.3.5
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4440] platform-linux: event-notification: RTM_DELROUTE, flags 0, seq 1361: 1.2.3.0/24 via 0.0.0.0 dev 25 metric 0 mss 0 rt-src rt-kernel scope link pref-src 1.2.3.5
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4440] platform: (blah3) signal: route   4 removed: 1.2.3.0/24 via 0.0.0.0 dev 25 metric 0 mss 0 rt-src rt-kernel scope link pref-src 1.2.3.5
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4441] device[0x557a706a6c50] (blah3): queued IP4 config change
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4441] platform-linux: event-notification: RTM_NEWQDISC, flags 0, seq 143: mq dev 2 family 0 handle 0 parent ffffffff info 1
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4441] platform-linux: do-delete-ip4-route[1.2.3.0/24 via 0.0.0.0 dev 25 metric 0 mss 0 rt-src rt-kernel scope link pref-src 1.2.3.5]: success
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4441] platform: (blah3) ip6-route: delete table 255 ff00::/8 via :: dev 25 metric 256 mss 0 rt-src rt-boot
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4442] platform-linux: event-notification: RTM_DELROUTE, flags 0, seq 1362: table 255 ff00::/8 via :: dev 25 metric 256 mss 0 rt-src rt-boot
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4442] platform: (blah3) signal: route   6 removed: table 255 ff00::/8 via :: dev 25 metric 256 mss 0 rt-src rt-boot
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4442] device[0x557a706a6c50] (blah3): queued IP6 config change
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4443] platform-linux: do-delete-ip6-route[table 255 ff00::/8 via :: dev 25 metric 256 mss 0 rt-src rt-boot]: success
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4443] platform: (blah3) address: deleting IPv4 address 1.2.3.5/24,  dev blah3
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4498] platform-linux: event-notification: RTM_DELADDR, flags 0, seq 1363: 25: 1.2.3.5/24
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4505] platform: (blah3) signal: address 4 removed: 1.2.3.5/24 lft forever pref forever lifetime 905-0[4294967295,4294967295] dev 25 flags permanent src kernel
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4506] platform-linux: event-notification: RTM_DELROUTE, flags 0, seq 0: ignore
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4506] platform-linux: event-notification: RTM_DELROUTE, flags 0, seq 0: ignore
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4506] platform-linux: event-notification: RTM_DELROUTE, flags 0, seq 0: ignore
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4507] platform-linux: event-notification: RTM_NEWROUTE, flags multi, seq 1364, in-dump: 0.0.0.0/0 via 10.0.128.1 dev 2 metric 0 mss 0 rt-src rt-boot scope global
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4507] platform-linux: event-notification: RTM_NEWROUTE, flags multi, seq 1364, in-dump: 0.0.0.0/0 via 10.0.128.1 dev 2 metric 100 mss 0 rt-src rt-dhcp scope global
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4508] platform-linux: event-notification: RTM_NEWROUTE, flags multi, seq 1364, in-dump: 1.2.3.0/24 via 0.0.0.0 dev 23 metric 0 mss 0 rt-src rt-kernel scope link pref-src 1.2.3.4
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4508] platform-linux: event-notification: RTM_NEWROUTE, flags multi, seq 1364, in-dump: 10.0.128.0/20 via 0.0.0.0 dev 2 metric 0 mss 0 rt-src rt-kernel scope link pref-src 10.0.139.237
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4508] platform-linux: event-notification: RTM_NEWROUTE, flags multi, seq 1364, in-dump: 10.0.128.0/20 via 0.0.0.0 dev 2 metric 100 mss 0 rt-src rt-kernel scope link pref-src 10.0.139.237
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4509] platform-linux: event-notification: RTM_NEWROUTE, flags multi, seq 1364, in-dump: 10.128.0.0/23 via 0.0.0.0 dev 6 metric 0 mss 0 rt-src rt-kernel scope link pref-src 10.128.0.2
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4509] platform-linux: event-notification: RTM_NEWROUTE, flags multi, seq 1364, in-dump: 10.128.0.0/14 via 10.128.0.1 dev 6 metric 0 mss 0 rt-src rt-boot scope global
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4509] platform-linux: event-notification: RTM_NEWROUTE, flags multi, seq 1364, in-dump: 172.30.0.0/16 via 10.128.0.1 dev 6 metric 0 mss 0 rt-src rt-boot scope global
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4509] platform-linux: event-notification: RTM_NEWROUTE, flags multi, seq 1364: ignore
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4509] platform-linux: event-notification: RTM_NEWROUTE, flags multi, seq 1364: ignore
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4509] platform-linux: event-notification: RTM_NEWROUTE, flags multi, seq 1364: ignore
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4510] platform-linux: event-notification: RTM_NEWROUTE, flags multi, seq 1364: ignore
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4510] platform-linux: event-notification: RTM_NEWROUTE, flags multi, seq 1364: ignore
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4510] platform-linux: event-notification: RTM_NEWROUTE, flags multi, seq 1364: ignore
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4510] platform-linux: event-notification: RTM_NEWROUTE, flags multi, seq 1364: ignore
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4510] platform-linux: event-notification: RTM_NEWROUTE, flags multi, seq 1364: ignore
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4510] platform-linux: event-notification: RTM_NEWROUTE, flags multi, seq 1364: ignore
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4510] platform-linux: event-notification: RTM_NEWROUTE, flags multi, seq 1364: ignore
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4510] platform-linux: event-notification: RTM_NEWROUTE, flags multi, seq 1364: ignore
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4510] platform-linux: event-notification: RTM_NEWROUTE, flags multi, seq 1364: ignore
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4511] platform-linux: event-notification: RTM_NEWROUTE, flags multi, seq 1364: ignore
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4511] platform-linux: do-delete-ip4-address[25: 1.2.3.5/24]: success
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4511] rules-manager: sync
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4511] device[0x557a706a6c50] (blah3): ip4-config: update (commit=1, new-config=(nil))
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4511] device[0x557a706a6c50] (blah3): ip4-config: clear IP Config instance (/org/freedesktop/NetworkManager/IP4Config/18)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4515] dns-mgr: (device_ip_config_changed): queueing DNS updates (1)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4515] dns-mgr: (device_ip_config_changed): DNS configuration did not change
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4516] dns-mgr: (device_ip_config_changed): no DNS changes to commit (0)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4516] dbus-object[0c7402fd8522733d]: unexport: "/org/freedesktop/NetworkManager/IP4Config/18"
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4518] device[0x557a706a6c50] (blah3): ip6-config: update (commit=1, new-config=(nil))
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4518] device[0x557a706a6c50] (blah3): ip6-config: clear IP Config instance (/org/freedesktop/NetworkManager/IP6Config/77)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4521] dns-mgr: (device_ip_config_changed): queueing DNS updates (1)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4521] dns-mgr: (device_ip_config_changed): DNS configuration did not change
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4522] dns-mgr: (device_ip_config_changed): no DNS changes to commit (0)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4522] dbus-object[3a3e2dcb25f99d99]: unexport: "/org/freedesktop/NetworkManager/IP6Config/77"
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4535] device[0x557a706a6c50] (blah3): add_pending_action (1): 'recheck-available'
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4552] device[0x557a706a6c50] (blah3): connectivity state changed from UNKNOWN to NONE
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4553] device[0x557a706a6c50] (blah3): connectivity state changed from UNKNOWN to NONE
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4562] device[0x557a706a6c50] (blah3): ip4-config: update (commit=0, new-config=0x557a70614500)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4563] dbus-object[a2ae2a0a5b6fd7ad]: export: "/org/freedesktop/NetworkManager/IP4Config/19"
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4565] device[0x557a706a6c50] (blah3): ip4-config: set IP Config instance (/org/freedesktop/NetworkManager/IP4Config/19)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4569] dns-mgr: (device_ip_config_changed): queueing DNS updates (1)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4569] dns-mgr: (device_ip_config_changed): DNS configuration did not change
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4569] dns-mgr: (device_ip_config_changed): no DNS changes to commit (0)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4570] device[0x557a706a6c50] (blah3): ip6-config: update (commit=0, new-config=0x557a70698610)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4571] dbus-object[7999b5ca30c7a7d8]: export: "/org/freedesktop/NetworkManager/IP6Config/78"
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4573] device[0x557a706a6c50] (blah3): ip6-config: set IP Config instance (/org/freedesktop/NetworkManager/IP6Config/78)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4577] dns-mgr: (device_ip_config_changed): queueing DNS updates (1)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4577] dns-mgr: (device_ip_config_changed): DNS configuration did not change
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4577] dns-mgr: (device_ip_config_changed): no DNS changes to commit (0)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4577] device[0x557a706a6c50] (blah3): add_pending_action (2): 'queued-state-change-disconnected'
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4578] device[0x557a706a6c50] (blah3): queue-state[disconnected, reason:none, id:2418]: queue state change
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4578] device[0x557a706a6c50] (blah3): is available, will transition to disconnected
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4578] device[0x557a706a6c50] (blah3): remove_pending_action (1): 'recheck-available'
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4578] device[0x557a706a6c50] (blah3): queue-state[disconnected, reason:none, id:2418]: change state
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <info>  [1572448774.4578] device (blah3): state change: unavailable -> disconnected (reason 'none', sys-iface-state: 'managed')
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4579] device[0x557a706a6c50] (blah3): will enable userland IPv6LL
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4579] platform-linux: link: change 25: user-ipv6ll: set IPv6 address generation mode to none
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4640] platform-linux: do-request-link: 25 
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4640] platform-linux: event-notification: RTM_NEWLINK, flags 0, seq 0: 25: blah3 <UP,LOWER_UP;broadcast,multicast,up,running,lowerup> mtu 1500 arp 1 openvswitch* not-init addrgenmode none addr 4E:29:FF:FE:4F:AB brd FF:FF:FF:FF:FF:FF rx:0,0 tx:1,90
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4641] platform-linux: event-notification: RTM_NEWLINK, flags 0, seq 1366: 25: blah3 <UP,LOWER_UP;broadcast,multicast,up,running,lowerup> mtu 1500 arp 1 openvswitch* not-init addrgenmode none addr 4E:29:FF:FE:4F:AB brd FF:FF:FF:FF:FF:FF rx:0,0 tx:1,90
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4641] platform-linux: do-change-link[25]: success changing link: success
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4642] platform-linux: sysctl: setting '/proc/sys/net/ipv6/conf/blah3/disable_ipv6' to '1' (current value is '0')
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4642] platform-linux: sysctl: setting '/proc/sys/net/ipv6/conf/blah3/disable_ipv6' to '0' (current value is '1')
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4643] platform-linux: sysctl: setting '/proc/sys/net/ipv6/conf/blah3/accept_ra_defrtr' to '0' (current value is identical)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4644] platform-linux: sysctl: setting '/proc/sys/net/ipv6/conf/blah3/accept_ra_pinfo' to '0' (current value is identical)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4644] platform-linux: sysctl: setting '/proc/sys/net/ipv6/conf/blah3/accept_ra_rtr_pref' to '0' (current value is identical)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4644] platform-linux: sysctl: setting '/proc/sys/net/ipv6/conf/blah3/use_tempaddr' to '0' (current value is identical)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4645] platform-linux: sysctl: setting '/proc/sys/net/ipv6/conf/blah3/forwarding' to '0' (current value is identical)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4708] config: device-state: write #25 (/run/NetworkManager/devices/25); managed=managed, perm-hw-addr-fake=4E:29:FF:FE:4F:AB, route-metric-default=0-0
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4709] device[0x557a706a6c50] (blah3): add_pending_action (2): 'autoactivate'
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4709] device[0x557a706a6c50] (blah3): remove_pending_action (1): 'queued-state-change-disconnected'
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <trace> [1572448774.4709] platform-linux: event-notification: RTM_NEWROUTE, flags create, seq 0: table 255 ff00::/8 via :: dev 25 metric 256 mss 0 rt-src rt-boot
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4710] platform: (blah3) signal: route   6   added: table 255 ff00::/8 via :: dev 25 metric 256 mss 0 rt-src rt-boot
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4710] device[0x557a706a6c50] (blah3): queued IP6 config change
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4711] device[0x557a706a6c50] (blah3): remove_pending_action (0): 'autoactivate'
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4712] device[0x557a706a6c50] (blah3): ip6-config: update (commit=0, new-config=0x557a70641350)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4716] device[0x557a706a6c50] (blah3): ip6-config: update IP Config instance (/org/freedesktop/NetworkManager/IP6Config/78)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4716] dns-mgr: (device_ip_config_changed): queueing DNS updates (1)
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4716] dns-mgr: (device_ip_config_changed): DNS configuration did not change
Oct 30 15:19:34 ip-10-0-139-237 NetworkManager[1956]: <debug> [1572448774.4716] dns-mgr: (device_ip_config_changed): no DNS changes to commit (0)
^C
sh-4.4#

Comment 8 Casey Callendrello 2019-10-31 16:29:23 UTC
I'm not sure this is a NetworkManager bug - we should just be configuring it to treat our devices as unmanaged, right?

Comment 10 Anurag saxena 2019-11-15 13:21:56 UTC
Verifiying based on Not seeing this issue on recent AWS installs.

Comment 12 errata-xmlrpc 2020-01-23 11:09:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0062


Note You need to log in before you can comment on or make changes to this bug.